satan666 : main.o
	g++ -O3 -lSDL -lSDL_image -lSDL_mixer -lGL -lGLU -o satan666 main.o

main.o : src/main.cpp src/main.h src/FPSlimit.h src/intro.h src/motherparticle.h src/gravityparticle.h
	g++ -c src/main.cpp
	
run :
	./satan666
	
clean: 
	rm satan666; rm main.o